--
-- (C) 2020 - ntop.org
--

-- ##############################################

local alert_keys = {
   ntopng = {
      alert_blacklisted_country            = 1,
      alert_broadcast_domain_too_large     = 2,
      alert_device_connection              = 3,
      alert_device_disconnection           = 4,
      alert_device_protocol_not_allowed    = 5,
      alert_dropped_alerts                 = 6,
      alert_external                       = 7,
      alert_flow_blacklisted               = 8,
      alert_flow_blocked                   = 9,
      alert_flow_misbehaviour              = 10,
      alert_flows_flood                    = 11,
      alert_ghost_network                  = 12,
      alert_host_pool_connection           = 13,
      alert_host_pool_disconnection        = 14,
      alert_influxdb_dropped_points        = 15,
      alert_influxdb_error                 = 16,
      alert_influxdb_export_failure        = 17,
      alert_internals                      = 18,
      alert_ip_outsite_dhcp_range          = 19,
      alert_list_download_failed           = 20,
      alert_login_failed                   = 21,
      alert_mac_ip_association_change      = 22,
      alert_malicious_signature            = 23,
      alert_misbehaving_flows_ratio        = 24,
      alert_misconfigured_app              = 25,
      alert_new_device                     = 26,
      alert_nfq_flushed                    = 27,
      alert_none                           = 28,
      alert_periodic_activity_not_executed = 29,
      alert_ping_issues                    = 30,
      alert_port_duplexstatus_change       = 31,
      alert_port_errors                    = 32,
      alert_port_load_threshold_exceeded   = 33,
      alert_port_mac_changed               = 34,
      alert_port_status_change             = 35,
      alert_potentially_dangerous_protocol = 36,
      alert_process_notification           = 37,
      alert_quota_exceeded                 = 38,
      alert_remote_to_remote               = 39,
      alert_request_reply_ratio            = 40,
      alert_slow_periodic_activity         = 41,
      alert_slow_purge                     = 42,
      alert_snmp_device_reset              = 43,
      alert_snmp_topology_changed          = 44,
      alert_suspicious_activity            = 45,
      alert_tcp_syn_flood                  = 46,
      alert_tcp_syn_scan                   = 47,
      alert_test_failed                    = 48,
      alert_threshold_cross                = 49,
      alert_too_many_drops                 = 50,
      alert_udp_unidirectional             = 51,
      alert_unresponsive_device            = 52,
      alert_user_activity                  = 53,
      alert_user_script_calls_drops        = 54,
      alert_web_mining                     = 55,
      -- Add here additional keys for alerts generated
      -- by ntopng plugins
      -- WARNING: make sure integers do NOT OVERLAP with
      -- user alerts
   },
   user = {
      alert_user_01                        = 32768,
      alert_user_02                        = 32769,
      alert_user_03                        = 32770,
      alert_user_04                        = 32771,
      alert_user_05                        = 32772,
      -- Add here additional keys generated by
      -- user plugin
   },
}

-- ##############################################

return alert_keys

-- ##############################################
